Index: src/perl/register-dataset.cgi
===================================================================
--- src/perl/register-dataset.cgi	(revision 4576)
+++ src/perl/register-dataset.cgi	(revision 4577)
@@ -3129,31 +3096,31 @@
             } else {
                 $userDN = '';
             }
-	}
+        }
 
-	$response = $metacat->delete($docid);
-	if (!$response) {
-	       	debug("Error while deleting document in handleModDecline.");
-	    	#push(@errorMessages, $metacat->getMessage());
-	       	$errorMessage = $errorMessage." Failed during deleting $docid. Please check if you are authorized to delete this document or if the document is not already deleted."; 
-	} else {
-		debug("Document deleted by handleModDecline is " . $docid);	
-	}
+        $response = $metacat->delete($docid);
+        if (!$response) {
+            debug("Error while deleting document in handleModDecline.");
+            #push(@errorMessages, $metacat->getMessage());
+            $errorMessage = $errorMessage." Failed during deleting $docid. Please check if you are authorized to delete this document or if the document is not already deleted."; 
+        } else {
+            debug("Document deleted by handleModDecline is " . $docid);
+        }
     }
 
     if ($errorMessage eq '') {
-	mod_sendNotification($title, $contactEmailAddress, $contactName, 'Document '.$FORM::docid.' Rejected');
-        if($FORM::review ne ''){
-                $errorMessage = mod_storeReview('decline', $metacat, $userDN);
-                if ($errorMessage ne '') {
-                        processResultTemplate('decline', 'failure', $errorMessage);
-			return;
-                }
+        modSendNotification($title, $contactEmailAddress, $contactName, 'Document '.$FORM::docid.' Rejected');
+        if ($FORM::review ne '') {
+            $errorMessage = modStoreReview('decline', $metacat, $userDN);
+            if ($errorMessage ne '') {
+                processResultTemplate('decline', 'failure', $errorMessage);
+                return;
+            }
         }
         # send notifications
-	processResultTemplate('decline', 'success', $errorMessage);		
+        processResultTemplate('decline', 'success', $errorMessage);
     } else {
-	processResultTemplate('decline', 'failure', $errorMessage);		
+        processResultTemplate('decline', 'failure', $errorMessage);
     }
 }
 
@@ -3170,233 +3137,231 @@
 
     debug("Stage is mod_revise");
 
-    if(isModerator('revise')<0){
-    	return;
+    if (isModerator('revise') < 0) {
+        return;
     }
-	
+
     # variables for contact information
     my $contactEmailAddress;
     my $contactName;
     my $title;
     my $userDN = '';
- 
+
     # Log into metacat
     my $response = $metacat->login($modUsername, $modPassword);
-    
+
     if (! $response) {
-    # Could not login
+        # Could not login
         #push(@errorMessages, $metacat->getMessage());
         $errorMessage = $errorMessage." Failed during moderator login.";
 
     } else {
-	# read the document and get the contact name and address
-	my $parser = XML::LibXML->new();
-    	my $docid = $FORM::docid;
+        # read the document and get the contact name and address
+        my $parser = XML::LibXML->new();
+        my $docid = $FORM::docid;
 
-	$response = $metacat->read($docid);
- 	my $doc = $response->content();
-    	my $xmldoc = $parser->parse_string($doc);
+        $response = $metacat->read($docid);
+        my $doc = $response->content();
+        my $xmldoc = $parser->parse_string($doc);
 
-    	if ($xmldoc eq "" || $doc=~ /<error/) {
-			# not able to parse
-	       	$errorMessage = $errorMessage." Error in reading the docid:".$docid;
-	} else {
-		    my $findNodes = $xmldoc->findnodes('//dataset/contact');
-		    if($findNodes->size() > 0){
-				# found contact email address
-				my $node = '';
-				foreach $node ($findNodes->get_nodelist) {
-					$contactEmailAddress = findValue($node,'electronicMailAddress');
+        if ($xmldoc eq "" || $doc=~ /<error/) {
+            # not able to parse
+            $errorMessage = $errorMessage." Error in reading the docid:".$docid;
+        } else {
+            my $findNodes = $xmldoc->findnodes('//dataset/contact');
+            if ($findNodes->size() > 0) {
+                # found contact email address
+                my $node = '';
+                foreach $node ($findNodes->get_nodelist) {
+                    $contactEmailAddress = findValue($node,'electronicMailAddress');
 
-					my $surName = findValue($node,'individualName/surName');
-					my $givenName = findValue($node,'individualName/givenName');
-					my $organizationName = findValue($node,'organizaitionName');
-		
-					if($surName ne ''){
-						$contactName = $givenName.' '.$surName;
-					} else {
-						$contactName = $organizationName;
-					}
-				}
-			} else {
-				$contactEmailAddress = '';
-			}
+                    my $surName = findValue($node,'individualName/surName');
+                    my $givenName = findValue($node,'individualName/givenName');
+                    my $organizationName = findValue($node,'organizaitionName');
 
-  	    	        $findNodes = $xmldoc->findnodes('//dataset/title');
-			if($findNodes->size() > 0){
-				# found title
-				my $node = '';
-				foreach $node ($findNodes->get_nodelist) {
-					$title = findValue($node,'../title');
-				}
-			} else {
-				$title = '';
-			}
+                    if ($surName ne '') {
+                        $contactName = $givenName.' '.$surName;
+                    } else {
+                        $contactName = $organizationName;
+                    }
+                }
+            } else {
+                $contactEmailAddress = '';
+            }
 
-			$findNodes = $xmldoc->findnodes('//dataset/access/allow');
-                        if($findNodes->size() > 0){
-                        # found title
-                                my $node = '';
-                                foreach $node ($findNodes->get_nodelist) {
-                                        my $perm = findValue($node,'permission');
-                                        if($perm ne 'all'){
-                                                $userDN = findValue($node,'principal');
-                                        }
-                                }
-                        } else {
-                                $userDN = '';
-                        }
+            $findNodes = $xmldoc->findnodes('//dataset/title');
+            if ($findNodes->size() > 0) {
+                # found title
+                my $node = '';
+                foreach $node ($findNodes->get_nodelist) {
+                    $title = findValue($node,'../title');
+                }
+            } else {
+                $title = '';
+            }
 
-		}
+            $findNodes = $xmldoc->findnodes('//dataset/access/allow');
+            if ($findNodes->size() > 0) {
+                # found title
+                my $node = '';
+                foreach $node ($findNodes->get_nodelist) {
+                    my $perm = findValue($node,'permission');
+                    if ($perm ne 'all') {
+                        $userDN = findValue($node,'principal');
+                    }
+                }
+            } else {
+                $userDN = '';
+            }
+        }
 
- 		my ($emldoc, $temp) = split('</dataset>', $doc);
-                $emldoc .= "</dataset>\n<additionalMetadata>\n<moderatorComment>Revision Requested</moderatorComment>\n</additionalMetadata>";
-                $emldoc .= "\n</eml:eml>\n";
-                #debug("Document created by handleModAccept is " . $emldoc);
-                # update the document
-                my $docid = $FORM::docid;
+        my ($emldoc, $temp) = split('</dataset>', $doc);
+        $emldoc .= "</dataset>\n<additionalMetadata>\n<moderatorComment>Revision Requested</moderatorComment>\n</additionalMetadata>";
+        $emldoc .= "\n</eml:eml>\n";
+        #debug("Document created by handleModAccept is " . $emldoc);
+        # update the document
+        my $docid = $FORM::docid;
 
-                my $x;
-                my $y;
-                my $z;
+        my $x;
+        my $y;
+        my $z;
 
-                ($x, $y, $z) = split(/\./, $docid);
-                $z++;
-                my $newDocid = "$x.$y.$z";
+        ($x, $y, $z) = split(/\./, $docid);
+        $z++;
+        my $newDocid = "$x.$y.$z";
 
-		$emldoc =~ s/packageId=\"$docid\"/packageId=\"$newDocid\"/;
-                $response = $metacat->update($newDocid, $emldoc);
+        $emldoc =~ s/packageId=\"$docid\"/packageId=\"$newDocid\"/;
+        $response = $metacat->update($newDocid, $emldoc);
 
-                if (! $response) {
-                        debug("Error while updating in handleModAccept.".$metacat->getMessage());
-                        #push(@errorMessages, $metacat->getMessage());
-			$errorMessage = $errorMessage." Failed while updating the document with additional Metadata.";
-                }
+        if (!$response) {
+            debug("Error while updating in handleModAccept.".$metacat->getMessage());
+            #push(@errorMessages, $metacat->getMessage());
+            $errorMessage = $errorMessage." Failed while updating the document with additional Metadata.";
+        }
 
-	}
+    }
     if ($errorMessage eq '') {
-	mod_sendNotification($title, $contactEmailAddress, $contactName, "Revise document: ".$FORM::docid);
-        if($FORM::review ne ''){
-        	$errorMessage = mod_storeReview('revise', $metacat, $userDN);
-    		if ($errorMessage ne '') {
-			processResultTemplate('revise', 'failure', $errorMessage);		
-			return;
-		}
-	}
-	# send notifications
-	processResultTemplate('revise', 'success', $errorMessage);		
+        modSendNotification($title, $contactEmailAddress, $contactName, "Revise document: ".$FORM::docid);
+        if ($FORM::review ne '') {
+            $errorMessage = modStoreReview('revise', $metacat, $userDN);
+            if ($errorMessage ne '') {
+                processResultTemplate('revise', 'failure', $errorMessage);
+                return;
+            }
+        }
+        # send notifications
+        processResultTemplate('revise', 'success', $errorMessage);
     } else {
-	processResultTemplate('revise', 'failure', $errorMessage);		
+        processResultTemplate('revise', 'failure', $errorMessage);
     }
 }
 
-sub mod_storeReview {
-	my $action = shift;
-	my $metacat = shift;
-	my $userDN = shift;
+sub modStoreReview {
+    my $action = shift;
+    my $metacat = shift;
+    my $userDN = shift;
 
-        my $gmt = gmtime($now);
-	my $parser = XML::LibXML->new();
- 	
-	# create the xml part that has to be inserted
-	my $review = '';
-        $review .= '<review>';
-        $review .= '<packageId>'.$FORM::docid.'</packageId>';
-        $review .= '<action>'.$action.'</action>';
-        $review .= '<datetime>'.$gmt.'</datetime>';
-        $review .= '<text>'.$FORM::review.'</text>';
-        $review .= '</review>';
+    my $gmt = gmtime($now);
+    my $parser = XML::LibXML->new();
 
-	# find out if a docid already exists...
-        my $docid = $FORM::docid;
-        my ($x, $y, $z) = split(/\./, $docid);
-        my $docidWithoutRev = $x.$y;
-	my $reviewDocumentId = '';
-        my $response = $metacat->squery("<pathquery><querytitle>Moderator-Search</querytitle><querygroup operator='INTERSECT'><queryterm searchmode='contains' casesensitive='false'><value>".$x.".".$y."</value><pathexpr>/reviewHistory/review/packageId</pathexpr></queryterm></querygroup></pathquery>"); 
+    # create the xml part that has to be inserted
+    my $review = '';
+    $review .= '<review>';
+    $review .= '<packageId>'.$FORM::docid.'</packageId>';
+    $review .= '<action>'.$action.'</action>';
+    $review .= '<datetime>'.$gmt.'</datetime>';
+    $review .= '<text>'.$FORM::review.'</text>';
+    $review .= '</review>';
 
-        my $doc = $response->content();
-        my $xmldoc = $parser->parse_string($doc);
+    # find out if a docid already exists...
+    my $docid = $FORM::docid;
+    my ($x, $y, $z) = split(/\./, $docid);
+    my $docidWithoutRev = $x.$y;
+    my $reviewDocumentId = '';
+    my $response = $metacat->squery("<pathquery><querytitle>Moderator-Search</querytitle><querygroup operator='INTERSECT'><queryterm searchmode='contains' casesensitive='false'><value>".$x.".".$y."</value><pathexpr>/reviewHistory/review/packageId</pathexpr></queryterm></querygroup></pathquery>"); 
 
-        if ($xmldoc eq "" || $doc=~ /<error/) {
-                # not able to parse
-                return " Unable to store review for the docid:".$docid;
+    my $doc = $response->content();
+    my $xmldoc = $parser->parse_string($doc);
+
+    if ($xmldoc eq "" || $doc=~ /<error/) {
+        # not able to parse
+        return " Unable to store review for the docid:".$docid;
+    } else {
+        my $findNodes = $xmldoc->findnodes('//resultset/document');
+        if ($findNodes->size() > 0) {
+            # found contact email address
+            my $node = '';
+            foreach $node ($findNodes->get_nodelist) {
+                $reviewDocumentId = findValue($node,'docid');
+            }
+
+            # update the old document
+            $response = $metacat->read($reviewDocumentId);
+            $doc = $response->content();
+            $xmldoc = $parser->parse_string($doc);
+
+            if ($xmldoc eq "" || $doc=~ /<error/) {
+                return " Unable to read the document from Metacat which has the old reviews for the docid:".$docid;
+            } else {
+                my ($reviewdoc, $temp) = split('</reviewHistory>', $doc);
+                $reviewdoc .= $review."\n</reviewHistory>\n";
+                ($x, $y, $z) = split(/\./, $reviewDocumentId);
+                $z++;
+                $reviewDocumentId = "$x.$y.$z";
+                $response = $metacat->update($reviewDocumentId, $reviewdoc);
+                if ($response != '1') {
+                    return " Unable to update the review on Metacat for the docid:".$docid;
+                } else {
+                    $response = $metacat->setaccess($reviewDocumentId, $userDN, "read", "allow", "denyFirst");
+                    if ($response != '1') {
+                        return " Unable to set access for the review document in Metacat for the docid:".$docid;
+                    }
+                    foreach (split(":",$moderators)) {
+                        $response = $metacat->setaccess($reviewDocumentId, $_, "all", "allow", "denyFirst");
+                        if ($response != '1') {
+                            return " Unable to set access for the review document in Metacat for the docid:".$docid;
+                        }
+                    }
+                }
+            }
         } else {
-                    my $findNodes = $xmldoc->findnodes('//resultset/document');
-                    if($findNodes->size() > 0){
-                        # found contact email address
-                        my $node = '';
-                        foreach $node ($findNodes->get_nodelist) {
-                              $reviewDocumentId = findValue($node,'docid');
-                        }
-			
-			#update the old document
-			$response = $metacat->read($reviewDocumentId);
-                        $doc = $response->content();
-                        $xmldoc = $parser->parse_string($doc);
+            #insert a new document
+            my $id = $metacat->getLastId('esa_reviews');
+            if ($id eq "null") {
+                $id = 'esa_reviews.1.1'; 
+            } else {
+                ($x, $y, $z) = split(/\./, $id);
+                $y++;
+                $id = "$x.$y.1";
+            }
 
+            my $reviewDoc = '';
+            $reviewDoc .= "<?xml version=\"1.0\"?>";
+            $reviewDoc .= "<reviewHistory registryName=\"".$skinName."\">";
+            $reviewDoc .= $review;
+            $reviewDoc .= "</reviewHistory>";
+            $response = $metacat->insert($id, $reviewDoc);
+            if ($response != '1') {
+                return " Unable to insert the review on Metacat for the docid:".$docid;
+            } else {
+                # set access
+                $response = $metacat->setaccess($id, $userDN, "read", "allow", "denyFirst");
+                if ($response != '1') {
+                    return " Unable to set access for the review document in Metacat for the docid:".$docid;
+                }
+                foreach (split(":",$moderators)) {
+                    $response = $metacat->setaccess($id, $_, "all", "allow", "denyFirst");
+                    if ($response != '1') {
+                        return " Unable to set access for the review document in Metacat for the docid:".$docid;
+                    }
+                }
+            }
+        }
+    }
 
-                        if ($xmldoc eq "" || $doc=~ /<error/){
-                                return " Unable to read the document from Metacat which has the old reviews for the docid:".$docid;
-                        } else {
-                                my ($reviewdoc, $temp) = split('</reviewHistory>', $doc);
-                                $reviewdoc .= $review."\n</reviewHistory>\n";
-                                ($x, $y, $z) = split(/\./, $reviewDocumentId);
-                                $z++;
-                                $reviewDocumentId = "$x.$y.$z";
-                                $response = $metacat->update($reviewDocumentId, $reviewdoc);
-                                if ($response != '1') {
-                                        return " Unable to update the review on Metacat for the docid:".$docid;
-                                } else {
-					$response = $metacat->setaccess($reviewDocumentId, $userDN, "read", "allow", "denyFirst");
-        			        if ($response != '1') {
-                                		return " Unable to set access for the review document in Metacat for the docid:".$docid;
-                        		}
-				foreach(split(":",$moderators)){
-					$response = $metacat->setaccess($reviewDocumentId, $_, "all", "allow", "denyFirst");
- 					if ($response != '1') {
-                                		return " Unable to set access for the review document in Metacat for the docid:".$docid;
-                        		}
-    				}
-				}
-                        }
-                    } else {
-			#insert a new document
-			my $id = $metacat->getLastId('esa_reviews');
-			if ($id eq "null"){
-				$id = 'esa_reviews.1.1'; 
-			} else {
-                              	($x, $y, $z) = split(/\./, $id);
-                                $y++;
-                                $id = "$x.$y.1";
-			}
-			
-			my $reviewDoc = '';
-			$reviewDoc .= "<?xml version=\"1.0\"?>";
-			$reviewDoc .= "<reviewHistory registryName=\"".$skinName."\">";
-			$reviewDoc .= $review;
-			$reviewDoc .= "</reviewHistory>";
-	                $response = $metacat->insert($id, $reviewDoc);
-        	        if ($response != '1') {
-                		return " Unable to insert the review on Metacat for the docid:".$docid;
-                        } else {
-				# set access
-				$response = $metacat->setaccess($id, $userDN, "read", "allow", "denyFirst");
- 				if ($response != '1') {
-                                	return " Unable to set access for the review document in Metacat for the docid:".$docid;
-                        	}
-				foreach(split(":",$moderators)){
-					$response = $metacat->setaccess($id, $_, "all", "allow", "denyFirst");
- 					if ($response != '1') {
-                                		return " Unable to set access for the review document in Metacat for the docid:".$docid;
-                        		}
-    				}
-			}
-		    }		   
-	} 
-	
-	return '';
-	# find out if a document already exist. if not then insert a new one. otherwise update the old one	
-	# the owner of the document is the moderator 
+    return '';
+    # find out if a document already exist. if not then insert a new one. otherwise update the old one    
+    # the owner of the document is the moderator 
 }
 
 ################################################################################
@@ -3404,31 +3369,31 @@
 # send an email message to the moderator and the contact 
 #
 ################################################################################
-sub mod_sendNotification {
-	my $title = shift;
-	my $contactEmailAddress = shift;
-	my $contactName = shift;
-	my $subject = shift;
+sub modSendNotification {
+    my $title = shift;
+    my $contactEmailAddress = shift;
+    my $contactName = shift;
+    my $subject = shift;
 
-	debug($subject);
+    debug($subject);
     # send notification to the user and the moderator
-	my $templateVars = { 'stage' => $FORM::stage };
-	my ($x, $y, $z) = split(/\./, $FORM::docid);
-        my $docidWithoutRev = $x.".".$y;
-	$$templateVars{'docid'} = $docidWithoutRev;
-	$$templateVars{'comment'} = $FORM::review;
-	$$templateVars{'contactName'} = $contactName;
-	$$templateVars{'dpTitle'} = $title;
+    my $templateVars = { 'stage' => $FORM::stage };
+    my ($x, $y, $z) = split(/\./, $FORM::docid);
+    my $docidWithoutRev = $x.".".$y;
+    $$templateVars{'docid'} = $docidWithoutRev;
+    $$templateVars{'comment'} = $FORM::review;
+    $$templateVars{'contactName'} = $contactName;
+    $$templateVars{'dpTitle'} = $title;
 
-	$$templateVars{'recipient_status'} = 'moderator';
-	sendNotification($email->{'sender'}, $email->{'recipient'}, $subject, 
-							$templates->{'modEmailNotification'}, $templateVars);
-	if($contactEmailAddress ne ''){
-		# send notification to contact email address specified in cfg   
-		$$templateVars{'recipient_status'} = 'user';
-		sendNotification($email->{'sender'}, $contactEmailAddress, 
-				$subject, $templates->{'modEmailNotification'}, $templateVars);
-	}
+    $$templateVars{'recipient_status'} = 'moderator';
+    sendNotification($email->{'sender'}, $email->{'recipient'}, $subject, 
+                            $templates->{'modEmailNotification'}, $templateVars);
+    if ($contactEmailAddress ne '') {
+        # send notification to contact email address specified in cfg   
+        $$templateVars{'recipient_status'} = 'user';
+        sendNotification($email->{'sender'}, $contactEmailAddress, 
+            $subject, $templates->{'modEmailNotification'}, $templateVars);
+    }
 }
 
 ################################################################################
@@ -3470,23 +3435,23 @@
     my $stage = shift;
     my $result = shift;
     my $message = shift;
-   
-    if($result eq 'success'){
-	if($stage eq 'accept'){
-		$message = "Dataset (docid:".$FORM::docid.") accepted ";
-        } elsif($stage eq 'decline'){
-		$message = "Dataset (docid:".$FORM::docid.") declined ";
+
+    if ($result eq 'success') {
+        if ($stage eq 'accept') {
+            $message = "Dataset (docid:".$FORM::docid.") accepted ";
+        } elsif ($stage eq 'decline') {
+            $message = "Dataset (docid:".$FORM::docid.") declined ";
         } else {
-		$message = "Revision requested for dataset (docid:".$FORM::docid.") ";
+            $message = "Revision requested for dataset (docid:".$FORM::docid.") ";
         }
     } else {
-	if($stage eq 'accept'){
-		$message = "Failure in accepting docid: ".$FORM::docid." (".$message.")";
-        } elsif($stage eq 'decline'){
-		$message = "Failure in declining docid: ".$FORM::docid." (".$message.")";
+        if ($stage eq 'accept') {
+            $message = "Failure in accepting docid: ".$FORM::docid." (".$message.")";
+        } elsif($stage eq 'decline') {
+            $message = "Failure in declining docid: ".$FORM::docid." (".$message.")";
         } else {
-		$message = "Failure in requesting revision of docid: ".$FORM::docid." (".$message.")";
-	}
+            $message = "Failure in requesting revision of docid: ".$FORM::docid." (".$message.")";
+        }
     }
     $$templateVars{'message'} = $message;
     $template->process($templates->{'modResult'}, $templateVars);
@@ -3513,12 +3478,12 @@
 
     $$templateVars{'providerGivenName'} = normalizeCD($FORM::providerGivenName);
     $$templateVars{'providerSurName'} = normalizeCD($FORM::providerSurName);
-    if($FORM::site eq "Select your station here."){
+    if ($FORM::site eq "Select your station here.") {
         $$templateVars{'site'} = "";
-    }else{
+    } else {
         $$templateVars{'site'} = $FORM::site;
     }
-    if($skinName eq "nceas"){
+    if ($skinName eq "nceas") {
         $$templateVars{'wg'} = \@FORM::wg;
     }
     $$templateVars{'identifier'} = normalizeCD($FORM::identifier);
@@ -3540,17 +3505,16 @@
     $$templateVars{'origFAX'} = normalizeCD($FORM::origFAX);
     $$templateVars{'origEmail'} = normalizeCD($FORM::origEmail);
     $$templateVars{'useOrigAddress'} = normalizeCD($FORM::useOrigAddress);
-    if($FORM::useOrigAddress eq "on"){
-      
+    if ($FORM::useOrigAddress eq "on") {
         $$templateVars{'origNamefirstContact'} = normalizeCD($FORM::origNamefirst0);
         $$templateVars{'origNamelastContact'} = normalizeCD($FORM::origNamelast0);
         $$templateVars{'origNameOrgContact'} = normalizeCD($FORM::origNameOrg);
         $$templateVars{'origDeliveryContact'} = normalizeCD($FORM::origDelivery); 
         $$templateVars{'origCityContact'} = normalizeCD($FORM::origCity);
-        if($FORM::origState =~ /select state/i){
-        $$templateVars{'origStateContact'} = "";
-        }else{
-        $$templateVars{'origStateContact'} = $FORM::origState;
+        if ($FORM::origState =~ /select state/i) {
+            $$templateVars{'origStateContact'} = "";
+        } else {
+            $$templateVars{'origStateContact'} = $FORM::origState;
         }
         $$templateVars{'origStateOtherContact'} = normalizeCD($FORM::origStateOther);
         $$templateVars{'origZIPContact'} = normalizeCD($FORM::origZIP);
@@ -3558,16 +3522,16 @@
         $$templateVars{'origPhoneContact'} = normalizeCD($FORM::origPhone);
         $$templateVars{'origFAXContact'} = normalizeCD($FORM::origFAX);
         $$templateVars{'origEmailContact'} = normalizeCD($FORM::origEmail);
-    }else{
+    } else {
         $$templateVars{'origNamefirstContact'} = normalizeCD($FORM::origNamefirstContact);
         $$templateVars{'origNamelastContact'} = normalizeCD($FORM::origNamelastContact);
         $$templateVars{'origNameOrgContact'} = normalizeCD($FORM::origNameOrgContact);
         $$templateVars{'origDeliveryContact'} = normalizeCD($FORM::origDeliveryContact); 
         $$templateVars{'origCityContact'} = normalizeCD($FORM::origCityContact);
-        if($FORM::origStateContact =~ /select state/i){
-        $$templateVars{'origStateContact'} = "";
-        }else{
-        $$templateVars{'origStateContact'} = $FORM::origStateContact;
+        if ($FORM::origStateContact =~ /select state/i) {
+            $$templateVars{'origStateContact'} = "";
+        } else {
+            $$templateVars{'origStateContact'} = $FORM::origStateContact;
         }
         $$templateVars{'origStateOtherContact'} = normalizeCD($FORM::origStateOtherContact);
         $$templateVars{'origZIPContact'} = normalizeCD($FORM::origZIPContact);
@@ -3582,7 +3546,7 @@
     my $aoRoleArray = \@FORM::aoRole;
     my $aoCount = 1;
 
-    for(my $i = 0; $i <= $#$aoRoleArray; $i++){
+    for (my $i = 0; $i <= $#$aoRoleArray; $i++) {
         if (hasContent($aoFNArray->[$i]) && hasContent($aoLNArray->[$i])) {
             debug("Registry processing Associated Party: origName = ".$aoFNArray->[$i]
                   ." origNamelast = ".$aoLNArray->[$i]." origRole = "
@@ -3603,7 +3567,7 @@
     my $keywordThArray = \@FORM::keywordTh;
     my $keyCount = 1;
 
-    for(my $i = 0; $i <= $#$keywordArray; $i++){
+    for (my $i = 0; $i <= $#$keywordArray; $i++) {
         if (hasContent($keywordArray->[$i])) {
             debug("Registry processing keyword: keyword = ".$keywordArray->[$i]."
                   keywordType = ".$keywordTypeArray->[$i]."
@@ -3618,12 +3582,12 @@
 
     $$templateVars{'addComments'} = normalizeCD($FORM::addComments);
     $$templateVars{'useConstraints'} = $FORM::useConstraints;
-    if($FORM::useConstraints eq "other"){
+    if ($FORM::useConstraints eq "other") {
         $$templateVars{'useConstraintsOther'} = $FORM::useConstraintsOther;
     }
     $$templateVars{'url'} = $FORM::url;
     $$templateVars{'dataMedium'} = $FORM::dataMedium;
-    if($FORM::dataMedium eq "other"){
+    if ($FORM::dataMedium eq "other") {
         $$templateVars{'dataMediumOther'} = normalizeCD($FORM::dataMediumOther);
     }
     $$templateVars{'beginningYear'} = $FORM::beginningYear;
@@ -3655,7 +3619,7 @@
     my $taxonNameArray = \@FORM::taxonName;
     my $taxonCount = 1;
 
-    for(my $i = 0; $i <= $#$taxonNameArray; $i++){
+    for (my $i = 0; $i <= $#$taxonNameArray; $i++) {
         if (hasContent($taxonRankArray->[$i]) && hasContent($taxonNameArray->[$i])) {
             debug("Registry processing keyword: trv = ".$taxonRankArray->[$i]
                     ." trn = ".$taxonNameArray->[$i]);
@@ -3724,7 +3688,7 @@
 
     # Check if the session exists
     my $session = CGI::Session->load();
-    if ( !($session->is_empty || $session->is_expired)) {
+    if (!($session->is_empty || $session->is_expired)) {
         $$templateVars{'userLoggedIn'} = 'true';
     }
 
@@ -3731,9 +3695,9 @@
     if (! $error) {
         # If no errors, then print out data in confirm Data template
         $$templateVars{'section'} = "Confirm Data";
-        $template->process( $templates->{'confirmData'}, $templateVars);
+        $template->process($templates->{'confirmData'}, $templateVars);
 
-    } else{    
+    } else {    
     # Errors from validation function. print the errors out using the response template
     if (scalar(@errorMessages)) {
         $$templateVars{'status'} = 'failure';
@@ -3743,7 +3707,7 @@
         # Create our HTML response and send it back
     $$templateVars{'function'} = "submitted";
     $$templateVars{'section'} = "Submission Status";
-    $template->process( $templates->{'response'}, $templateVars);
+    $template->process($templates->{'response'}, $templateVars);
     }
 }
 
@@ -3765,7 +3729,7 @@
     $$templateVars{'docid'} = $FORM::docid;
 
     $$templateVars{'form'} = 're_entry';
-    $template->process( $templates->{'entry'}, $templateVars);
+    $template->process($templates->{'entry'}, $templateVars);
 }
 
 
@@ -3799,7 +3763,7 @@
     $$templateVars{'origEmail'} = $FORM::origEmail;
     if ($FORM::useSiteCoord ne "") {
         $$templateVars{'useOrigAddress'} = "CHECKED";
-    }else{
+    } else {
         $$templateVars{'useOrigAddress'} = $FORM::useOrigAddress;
     }
     $$templateVars{'origNamefirstContact'} = $FORM::origNamefirstContact;
